%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           hamster-applet
Version:        0.6.1
Release:        1%{?dist}
Summary:        Time tracking applet

Group:          Development/Languages
License:        GPLv3+
URL:            http://code.google.com/p/projecthamster/
Source0:        http://projecthamster.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel pygtk2-devel pygobject2-devel gnome-python2-devel
BuildRequires:  perl(XML::Parser) gnome-python2-applet python-sqlite2
BuildRequires:  gtk2-devel gettext libXScrnSaver-devel

Requires:       hicolor-icon-theme
Requires:       pygtk2, pygobject2, gnome-python2-applet, python-sqlite2
Requires:       gnome-python2, gnome-python2-canvas, gnome-python2-gnomevfs
Requires:       gnome-python2-gconf, gnome-python2-evolution, pygtk2-libglade, pycairo

Requires(pre):   GConf2
Requires(post):  GConf2
Requires(preun): GConf2

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/hamster-applet.schemas >/dev/null || :
fi

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/hamster-applet.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/hamster-applet.schemas > /dev/null || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%description
Time tracking for masses in GNOME.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

 
%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{python_sitelib}/hamster
%{_libdir}/bonobo/servers/Hamster_Applet.server
%{_libdir}/hamster-applet
%{_datadir}/hamster-applet
%{_datadir}/icons/hicolor/*/apps/hamster-applet.*

%{_sysconfdir}/gconf/schemas/hamster-applet.schemas


%changelog
* Wed Jul 23 2008 Mads Villadsen <maxx@krakoa.dk> - 0.6.1-1
- Update to new upstream release
- Simple reporting via Overview dialog
- Not stealing middle-click to move applet
- Correct label orientation on vertical panels
- Fixed fact pushing on overlap

* Sun May 25 2008 Mads Villadsen <maxx@krakoa.dk> - 0.5-1
- Update to latest upstream release
- Preferences are now editable via user interface
- Added option to stop tracking on shutdown
- Current activity is now showing up in totals

* Mon May 5 2008 Mads Villadsen <maxx@krakoa.dk> - 0.4-1
- Update to latest upstream release
- Fact editing functionality

* Sun May 4 2008 Mads Villadsen <maxx@krakoa.dk> - 0.3-1
- Update to latest upstream release

* Mon Apr 28 2008 Mads Villadsen <maxx@krakoa.dk> - 0.2-3
- Depend on gnome-python2-evolution instead of evolution-python

* Sat Apr 26 2008 Mads Villadsen <maxx@krakoa.dk> - 0.2-2
- Add missing libXScrnSaver-devel to BuildRequires

* Fri Apr 25 2008 Mads Villadsen <maxx@krakoa.dk> - 0.2-1
- Update to new upstream release

* Mon Apr 21 2008 Mads Villadsen <maxx@krakoa.dk> - 0.1.7.4-3
- Add hicolor-icon-theme as a Requires
- Add lots of other Requires as well - it should now run as well as build

* Sun Apr 20 2008 Mads Villadsen <maxx@krakoa.dk> - 0.1.7.4-2
- Split BuildRequires into more lines
- Don't mark the schema file as a config file

* Fri Apr 18 2008 Mads Villadsen <maxx@krakoa.dk> - 0.1.7.4-1
- New upstream version
- Updated license (as per http://mail.gnome.org/archives/desktop-devel-list/2008-April/msg00173.html)
- Added missing BuildRequires
- Correctly use python_sitelib instead of python_sitearch

* Wed Apr 16 2008 Mads Villadsen <maxx@krakoa.dk> - 0.1.7.3-1
- First release
